// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Generic nameplate value such as name and description.
 * </pre>
 *
 * Protobuf type {@code commonmodule.NameplateValue}
 */
public final class NameplateValue extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.NameplateValue)
    NameplateValueOrBuilder {
private static final long serialVersionUID = 0L;
  // Use NameplateValue.newBuilder() to construct.
  private NameplateValue(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private NameplateValue() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new NameplateValue();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_NameplateValue_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_NameplateValue_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.NameplateValue.class, openfmb.commonmodule.NameplateValue.Builder.class);
  }

  public static final int IDENTIFIEDOBJECT_FIELD_NUMBER = 1;
  private openfmb.commonmodule.IdentifiedObject identifiedObject_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the identifiedObject field is set.
   */
  @java.lang.Override
  public boolean hasIdentifiedObject() {
    return identifiedObject_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return The identifiedObject.
   */
  @java.lang.Override
  public openfmb.commonmodule.IdentifiedObject getIdentifiedObject() {
    return identifiedObject_ == null ? openfmb.commonmodule.IdentifiedObject.getDefaultInstance() : identifiedObject_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.IdentifiedObjectOrBuilder getIdentifiedObjectOrBuilder() {
    return identifiedObject_ == null ? openfmb.commonmodule.IdentifiedObject.getDefaultInstance() : identifiedObject_;
  }

  public static final int MODEL_FIELD_NUMBER = 2;
  private com.google.protobuf.StringValue model_;
  /**
   * <pre>
   * Model
   * </pre>
   *
   * <code>.google.protobuf.StringValue model = 2;</code>
   * @return Whether the model field is set.
   */
  @java.lang.Override
  public boolean hasModel() {
    return model_ != null;
  }
  /**
   * <pre>
   * Model
   * </pre>
   *
   * <code>.google.protobuf.StringValue model = 2;</code>
   * @return The model.
   */
  @java.lang.Override
  public com.google.protobuf.StringValue getModel() {
    return model_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : model_;
  }
  /**
   * <pre>
   * Model
   * </pre>
   *
   * <code>.google.protobuf.StringValue model = 2;</code>
   */
  @java.lang.Override
  public com.google.protobuf.StringValueOrBuilder getModelOrBuilder() {
    return model_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : model_;
  }

  public static final int SERNUM_FIELD_NUMBER = 3;
  private com.google.protobuf.StringValue sernum_;
  /**
   * <pre>
   * Serial Number
   * </pre>
   *
   * <code>.google.protobuf.StringValue sernum = 3;</code>
   * @return Whether the sernum field is set.
   */
  @java.lang.Override
  public boolean hasSernum() {
    return sernum_ != null;
  }
  /**
   * <pre>
   * Serial Number
   * </pre>
   *
   * <code>.google.protobuf.StringValue sernum = 3;</code>
   * @return The sernum.
   */
  @java.lang.Override
  public com.google.protobuf.StringValue getSernum() {
    return sernum_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : sernum_;
  }
  /**
   * <pre>
   * Serial Number
   * </pre>
   *
   * <code>.google.protobuf.StringValue sernum = 3;</code>
   */
  @java.lang.Override
  public com.google.protobuf.StringValueOrBuilder getSernumOrBuilder() {
    return sernum_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : sernum_;
  }

  public static final int SWREV_FIELD_NUMBER = 4;
  private com.google.protobuf.StringValue swRev_;
  /**
   * <pre>
   * Version
   * </pre>
   *
   * <code>.google.protobuf.StringValue swRev = 4;</code>
   * @return Whether the swRev field is set.
   */
  @java.lang.Override
  public boolean hasSwRev() {
    return swRev_ != null;
  }
  /**
   * <pre>
   * Version
   * </pre>
   *
   * <code>.google.protobuf.StringValue swRev = 4;</code>
   * @return The swRev.
   */
  @java.lang.Override
  public com.google.protobuf.StringValue getSwRev() {
    return swRev_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : swRev_;
  }
  /**
   * <pre>
   * Version
   * </pre>
   *
   * <code>.google.protobuf.StringValue swRev = 4;</code>
   */
  @java.lang.Override
  public com.google.protobuf.StringValueOrBuilder getSwRevOrBuilder() {
    return swRev_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : swRev_;
  }

  public static final int VENDOR_FIELD_NUMBER = 5;
  private com.google.protobuf.StringValue vendor_;
  /**
   * <pre>
   * Manufacturer
   * </pre>
   *
   * <code>.google.protobuf.StringValue vendor = 5;</code>
   * @return Whether the vendor field is set.
   */
  @java.lang.Override
  public boolean hasVendor() {
    return vendor_ != null;
  }
  /**
   * <pre>
   * Manufacturer
   * </pre>
   *
   * <code>.google.protobuf.StringValue vendor = 5;</code>
   * @return The vendor.
   */
  @java.lang.Override
  public com.google.protobuf.StringValue getVendor() {
    return vendor_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : vendor_;
  }
  /**
   * <pre>
   * Manufacturer
   * </pre>
   *
   * <code>.google.protobuf.StringValue vendor = 5;</code>
   */
  @java.lang.Override
  public com.google.protobuf.StringValueOrBuilder getVendorOrBuilder() {
    return vendor_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : vendor_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (identifiedObject_ != null) {
      output.writeMessage(1, getIdentifiedObject());
    }
    if (model_ != null) {
      output.writeMessage(2, getModel());
    }
    if (sernum_ != null) {
      output.writeMessage(3, getSernum());
    }
    if (swRev_ != null) {
      output.writeMessage(4, getSwRev());
    }
    if (vendor_ != null) {
      output.writeMessage(5, getVendor());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (identifiedObject_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getIdentifiedObject());
    }
    if (model_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getModel());
    }
    if (sernum_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getSernum());
    }
    if (swRev_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(4, getSwRev());
    }
    if (vendor_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(5, getVendor());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.NameplateValue)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.NameplateValue other = (openfmb.commonmodule.NameplateValue) obj;

    if (hasIdentifiedObject() != other.hasIdentifiedObject()) return false;
    if (hasIdentifiedObject()) {
      if (!getIdentifiedObject()
          .equals(other.getIdentifiedObject())) return false;
    }
    if (hasModel() != other.hasModel()) return false;
    if (hasModel()) {
      if (!getModel()
          .equals(other.getModel())) return false;
    }
    if (hasSernum() != other.hasSernum()) return false;
    if (hasSernum()) {
      if (!getSernum()
          .equals(other.getSernum())) return false;
    }
    if (hasSwRev() != other.hasSwRev()) return false;
    if (hasSwRev()) {
      if (!getSwRev()
          .equals(other.getSwRev())) return false;
    }
    if (hasVendor() != other.hasVendor()) return false;
    if (hasVendor()) {
      if (!getVendor()
          .equals(other.getVendor())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasIdentifiedObject()) {
      hash = (37 * hash) + IDENTIFIEDOBJECT_FIELD_NUMBER;
      hash = (53 * hash) + getIdentifiedObject().hashCode();
    }
    if (hasModel()) {
      hash = (37 * hash) + MODEL_FIELD_NUMBER;
      hash = (53 * hash) + getModel().hashCode();
    }
    if (hasSernum()) {
      hash = (37 * hash) + SERNUM_FIELD_NUMBER;
      hash = (53 * hash) + getSernum().hashCode();
    }
    if (hasSwRev()) {
      hash = (37 * hash) + SWREV_FIELD_NUMBER;
      hash = (53 * hash) + getSwRev().hashCode();
    }
    if (hasVendor()) {
      hash = (37 * hash) + VENDOR_FIELD_NUMBER;
      hash = (53 * hash) + getVendor().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.NameplateValue parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.NameplateValue parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.NameplateValue parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.NameplateValue parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.NameplateValue prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Generic nameplate value such as name and description.
   * </pre>
   *
   * Protobuf type {@code commonmodule.NameplateValue}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.NameplateValue)
      openfmb.commonmodule.NameplateValueOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_NameplateValue_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_NameplateValue_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.NameplateValue.class, openfmb.commonmodule.NameplateValue.Builder.class);
    }

    // Construct using openfmb.commonmodule.NameplateValue.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      identifiedObject_ = null;
      if (identifiedObjectBuilder_ != null) {
        identifiedObjectBuilder_.dispose();
        identifiedObjectBuilder_ = null;
      }
      model_ = null;
      if (modelBuilder_ != null) {
        modelBuilder_.dispose();
        modelBuilder_ = null;
      }
      sernum_ = null;
      if (sernumBuilder_ != null) {
        sernumBuilder_.dispose();
        sernumBuilder_ = null;
      }
      swRev_ = null;
      if (swRevBuilder_ != null) {
        swRevBuilder_.dispose();
        swRevBuilder_ = null;
      }
      vendor_ = null;
      if (vendorBuilder_ != null) {
        vendorBuilder_.dispose();
        vendorBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_NameplateValue_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.NameplateValue getDefaultInstanceForType() {
      return openfmb.commonmodule.NameplateValue.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.NameplateValue build() {
      openfmb.commonmodule.NameplateValue result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.NameplateValue buildPartial() {
      openfmb.commonmodule.NameplateValue result = new openfmb.commonmodule.NameplateValue(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.NameplateValue result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.identifiedObject_ = identifiedObjectBuilder_ == null
            ? identifiedObject_
            : identifiedObjectBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.model_ = modelBuilder_ == null
            ? model_
            : modelBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.sernum_ = sernumBuilder_ == null
            ? sernum_
            : sernumBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000008) != 0)) {
        result.swRev_ = swRevBuilder_ == null
            ? swRev_
            : swRevBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000010) != 0)) {
        result.vendor_ = vendorBuilder_ == null
            ? vendor_
            : vendorBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.NameplateValue) {
        return mergeFrom((openfmb.commonmodule.NameplateValue)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.NameplateValue other) {
      if (other == openfmb.commonmodule.NameplateValue.getDefaultInstance()) return this;
      if (other.hasIdentifiedObject()) {
        mergeIdentifiedObject(other.getIdentifiedObject());
      }
      if (other.hasModel()) {
        mergeModel(other.getModel());
      }
      if (other.hasSernum()) {
        mergeSernum(other.getSernum());
      }
      if (other.hasSwRev()) {
        mergeSwRev(other.getSwRev());
      }
      if (other.hasVendor()) {
        mergeVendor(other.getVendor());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getIdentifiedObjectFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getModelFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getSernumFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            case 34: {
              input.readMessage(
                  getSwRevFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000008;
              break;
            } // case 34
            case 42: {
              input.readMessage(
                  getVendorFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000010;
              break;
            } // case 42
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.IdentifiedObject identifiedObject_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.IdentifiedObject, openfmb.commonmodule.IdentifiedObject.Builder, openfmb.commonmodule.IdentifiedObjectOrBuilder> identifiedObjectBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the identifiedObject field is set.
     */
    public boolean hasIdentifiedObject() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     * @return The identifiedObject.
     */
    public openfmb.commonmodule.IdentifiedObject getIdentifiedObject() {
      if (identifiedObjectBuilder_ == null) {
        return identifiedObject_ == null ? openfmb.commonmodule.IdentifiedObject.getDefaultInstance() : identifiedObject_;
      } else {
        return identifiedObjectBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setIdentifiedObject(openfmb.commonmodule.IdentifiedObject value) {
      if (identifiedObjectBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        identifiedObject_ = value;
      } else {
        identifiedObjectBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setIdentifiedObject(
        openfmb.commonmodule.IdentifiedObject.Builder builderForValue) {
      if (identifiedObjectBuilder_ == null) {
        identifiedObject_ = builderForValue.build();
      } else {
        identifiedObjectBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeIdentifiedObject(openfmb.commonmodule.IdentifiedObject value) {
      if (identifiedObjectBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          identifiedObject_ != null &&
          identifiedObject_ != openfmb.commonmodule.IdentifiedObject.getDefaultInstance()) {
          getIdentifiedObjectBuilder().mergeFrom(value);
        } else {
          identifiedObject_ = value;
        }
      } else {
        identifiedObjectBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearIdentifiedObject() {
      bitField0_ = (bitField0_ & ~0x00000001);
      identifiedObject_ = null;
      if (identifiedObjectBuilder_ != null) {
        identifiedObjectBuilder_.dispose();
        identifiedObjectBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.IdentifiedObject.Builder getIdentifiedObjectBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getIdentifiedObjectFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.IdentifiedObjectOrBuilder getIdentifiedObjectOrBuilder() {
      if (identifiedObjectBuilder_ != null) {
        return identifiedObjectBuilder_.getMessageOrBuilder();
      } else {
        return identifiedObject_ == null ?
            openfmb.commonmodule.IdentifiedObject.getDefaultInstance() : identifiedObject_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.IdentifiedObject, openfmb.commonmodule.IdentifiedObject.Builder, openfmb.commonmodule.IdentifiedObjectOrBuilder> 
        getIdentifiedObjectFieldBuilder() {
      if (identifiedObjectBuilder_ == null) {
        identifiedObjectBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.IdentifiedObject, openfmb.commonmodule.IdentifiedObject.Builder, openfmb.commonmodule.IdentifiedObjectOrBuilder>(
                getIdentifiedObject(),
                getParentForChildren(),
                isClean());
        identifiedObject_ = null;
      }
      return identifiedObjectBuilder_;
    }

    private com.google.protobuf.StringValue model_;
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelBuilder_;
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     * @return Whether the model field is set.
     */
    public boolean hasModel() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     * @return The model.
     */
    public com.google.protobuf.StringValue getModel() {
      if (modelBuilder_ == null) {
        return model_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : model_;
      } else {
        return modelBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     */
    public Builder setModel(com.google.protobuf.StringValue value) {
      if (modelBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        model_ = value;
      } else {
        modelBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     */
    public Builder setModel(
        com.google.protobuf.StringValue.Builder builderForValue) {
      if (modelBuilder_ == null) {
        model_ = builderForValue.build();
      } else {
        modelBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     */
    public Builder mergeModel(com.google.protobuf.StringValue value) {
      if (modelBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          model_ != null &&
          model_ != com.google.protobuf.StringValue.getDefaultInstance()) {
          getModelBuilder().mergeFrom(value);
        } else {
          model_ = value;
        }
      } else {
        modelBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     */
    public Builder clearModel() {
      bitField0_ = (bitField0_ & ~0x00000002);
      model_ = null;
      if (modelBuilder_ != null) {
        modelBuilder_.dispose();
        modelBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     */
    public com.google.protobuf.StringValue.Builder getModelBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getModelFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     */
    public com.google.protobuf.StringValueOrBuilder getModelOrBuilder() {
      if (modelBuilder_ != null) {
        return modelBuilder_.getMessageOrBuilder();
      } else {
        return model_ == null ?
            com.google.protobuf.StringValue.getDefaultInstance() : model_;
      }
    }
    /**
     * <pre>
     * Model
     * </pre>
     *
     * <code>.google.protobuf.StringValue model = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
        getModelFieldBuilder() {
      if (modelBuilder_ == null) {
        modelBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                getModel(),
                getParentForChildren(),
                isClean());
        model_ = null;
      }
      return modelBuilder_;
    }

    private com.google.protobuf.StringValue sernum_;
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> sernumBuilder_;
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     * @return Whether the sernum field is set.
     */
    public boolean hasSernum() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     * @return The sernum.
     */
    public com.google.protobuf.StringValue getSernum() {
      if (sernumBuilder_ == null) {
        return sernum_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : sernum_;
      } else {
        return sernumBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     */
    public Builder setSernum(com.google.protobuf.StringValue value) {
      if (sernumBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        sernum_ = value;
      } else {
        sernumBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     */
    public Builder setSernum(
        com.google.protobuf.StringValue.Builder builderForValue) {
      if (sernumBuilder_ == null) {
        sernum_ = builderForValue.build();
      } else {
        sernumBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     */
    public Builder mergeSernum(com.google.protobuf.StringValue value) {
      if (sernumBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          sernum_ != null &&
          sernum_ != com.google.protobuf.StringValue.getDefaultInstance()) {
          getSernumBuilder().mergeFrom(value);
        } else {
          sernum_ = value;
        }
      } else {
        sernumBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     */
    public Builder clearSernum() {
      bitField0_ = (bitField0_ & ~0x00000004);
      sernum_ = null;
      if (sernumBuilder_ != null) {
        sernumBuilder_.dispose();
        sernumBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     */
    public com.google.protobuf.StringValue.Builder getSernumBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getSernumFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     */
    public com.google.protobuf.StringValueOrBuilder getSernumOrBuilder() {
      if (sernumBuilder_ != null) {
        return sernumBuilder_.getMessageOrBuilder();
      } else {
        return sernum_ == null ?
            com.google.protobuf.StringValue.getDefaultInstance() : sernum_;
      }
    }
    /**
     * <pre>
     * Serial Number
     * </pre>
     *
     * <code>.google.protobuf.StringValue sernum = 3;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
        getSernumFieldBuilder() {
      if (sernumBuilder_ == null) {
        sernumBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                getSernum(),
                getParentForChildren(),
                isClean());
        sernum_ = null;
      }
      return sernumBuilder_;
    }

    private com.google.protobuf.StringValue swRev_;
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> swRevBuilder_;
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     * @return Whether the swRev field is set.
     */
    public boolean hasSwRev() {
      return ((bitField0_ & 0x00000008) != 0);
    }
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     * @return The swRev.
     */
    public com.google.protobuf.StringValue getSwRev() {
      if (swRevBuilder_ == null) {
        return swRev_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : swRev_;
      } else {
        return swRevBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     */
    public Builder setSwRev(com.google.protobuf.StringValue value) {
      if (swRevBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        swRev_ = value;
      } else {
        swRevBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000008;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     */
    public Builder setSwRev(
        com.google.protobuf.StringValue.Builder builderForValue) {
      if (swRevBuilder_ == null) {
        swRev_ = builderForValue.build();
      } else {
        swRevBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000008;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     */
    public Builder mergeSwRev(com.google.protobuf.StringValue value) {
      if (swRevBuilder_ == null) {
        if (((bitField0_ & 0x00000008) != 0) &&
          swRev_ != null &&
          swRev_ != com.google.protobuf.StringValue.getDefaultInstance()) {
          getSwRevBuilder().mergeFrom(value);
        } else {
          swRev_ = value;
        }
      } else {
        swRevBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000008;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     */
    public Builder clearSwRev() {
      bitField0_ = (bitField0_ & ~0x00000008);
      swRev_ = null;
      if (swRevBuilder_ != null) {
        swRevBuilder_.dispose();
        swRevBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     */
    public com.google.protobuf.StringValue.Builder getSwRevBuilder() {
      bitField0_ |= 0x00000008;
      onChanged();
      return getSwRevFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     */
    public com.google.protobuf.StringValueOrBuilder getSwRevOrBuilder() {
      if (swRevBuilder_ != null) {
        return swRevBuilder_.getMessageOrBuilder();
      } else {
        return swRev_ == null ?
            com.google.protobuf.StringValue.getDefaultInstance() : swRev_;
      }
    }
    /**
     * <pre>
     * Version
     * </pre>
     *
     * <code>.google.protobuf.StringValue swRev = 4;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
        getSwRevFieldBuilder() {
      if (swRevBuilder_ == null) {
        swRevBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                getSwRev(),
                getParentForChildren(),
                isClean());
        swRev_ = null;
      }
      return swRevBuilder_;
    }

    private com.google.protobuf.StringValue vendor_;
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> vendorBuilder_;
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     * @return Whether the vendor field is set.
     */
    public boolean hasVendor() {
      return ((bitField0_ & 0x00000010) != 0);
    }
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     * @return The vendor.
     */
    public com.google.protobuf.StringValue getVendor() {
      if (vendorBuilder_ == null) {
        return vendor_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : vendor_;
      } else {
        return vendorBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     */
    public Builder setVendor(com.google.protobuf.StringValue value) {
      if (vendorBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        vendor_ = value;
      } else {
        vendorBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000010;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     */
    public Builder setVendor(
        com.google.protobuf.StringValue.Builder builderForValue) {
      if (vendorBuilder_ == null) {
        vendor_ = builderForValue.build();
      } else {
        vendorBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000010;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     */
    public Builder mergeVendor(com.google.protobuf.StringValue value) {
      if (vendorBuilder_ == null) {
        if (((bitField0_ & 0x00000010) != 0) &&
          vendor_ != null &&
          vendor_ != com.google.protobuf.StringValue.getDefaultInstance()) {
          getVendorBuilder().mergeFrom(value);
        } else {
          vendor_ = value;
        }
      } else {
        vendorBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000010;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     */
    public Builder clearVendor() {
      bitField0_ = (bitField0_ & ~0x00000010);
      vendor_ = null;
      if (vendorBuilder_ != null) {
        vendorBuilder_.dispose();
        vendorBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     */
    public com.google.protobuf.StringValue.Builder getVendorBuilder() {
      bitField0_ |= 0x00000010;
      onChanged();
      return getVendorFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     */
    public com.google.protobuf.StringValueOrBuilder getVendorOrBuilder() {
      if (vendorBuilder_ != null) {
        return vendorBuilder_.getMessageOrBuilder();
      } else {
        return vendor_ == null ?
            com.google.protobuf.StringValue.getDefaultInstance() : vendor_;
      }
    }
    /**
     * <pre>
     * Manufacturer
     * </pre>
     *
     * <code>.google.protobuf.StringValue vendor = 5;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
        getVendorFieldBuilder() {
      if (vendorBuilder_ == null) {
        vendorBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                getVendor(),
                getParentForChildren(),
                isClean());
        vendor_ = null;
      }
      return vendorBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.NameplateValue)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.NameplateValue)
  private static final openfmb.commonmodule.NameplateValue DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.NameplateValue();
  }

  public static openfmb.commonmodule.NameplateValue getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<NameplateValue>
      PARSER = new com.google.protobuf.AbstractParser<NameplateValue>() {
    @java.lang.Override
    public NameplateValue parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<NameplateValue> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<NameplateValue> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.NameplateValue getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

